<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\TypeLocalService;

class TypeLocalController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $TypeLocalService;
   
    public function __construct($crudService, $environment, TypeLocalService $TypeLocalService) {
        parent::__construct($crudService, $environment);
        $this->TypeLocalService = $TypeLocalService;
    }

    public function getTypeLocal(DTO\Request $request, DTO\Response $response){
        $var = $this->TypeLocalService->getTypesLocal();
        $dtsVal = new DataSet('typeLocal', $var);
        $response->addDataSet($dtsVal);
    }

}

?>