#!/bin/sh

SCRIPTS_PATH=$('pwd')
PRODUCT_PATH=$('pwd')/../
PACKAGE_VERSION=0.21.7

export NPM_TOKEN="76f8066c-539b-47b8-8a76-4af6ceb8c20f"

echo 'Back step -------------------------------------------------------'
cd $PRODUCT_PATH/backend
{ # try
    $SCRIPTS_PATH/back_step.sh
} || { # catch
	echo 'Back Step Error ------------------------------------------------------'
    exit 1
}

echo 'Front step ------------------------------------------------------'
cd $PRODUCT_PATH/frontend
{ # try
	$SCRIPTS_PATH/front_step.sh
} || { # catch
	echo 'Front Step Error ------------------------------------------------------'
    exit 1
}

echo 'Update Package Version -----------------------------------------------------'
$SCRIPTS_PATH/replace.sh "0.0.0" $PACKAGE_VERSION "package.json"

echo 'Run grunt tasks for test ----------------------------------------'
grunt buildEnvironment:prod

echo 'Product steps ------------------------------------------------'
cd $PRODUCT_PATH

echo 'Remove development dependencies'
rm -Rf README.md
rm -Rf mobile
rm -Rf frontend/package-lock.json
rm -Rf frontend/dist
rm -Rf frontend/env.production.template

#rm -Rf backend/package.json
rm -Rf backend/package-lock.json
rm -Rf backend/GruntFile.js
rm -Rf backend/composer.json
rm -Rf backend/composer.lock
rm -Rf backend/.gitignore
rm -Rf backend/parameters
#rm -Rf backend/node_modules
rm -Rf backend/config/parameters.xml.template
rm -Rf backend/config/report.xml.template
rm -Rf backend/config/db.xml.template
rm -Rf backend/config/environment.xml.template
rm -Rf backend/config/fileServer.xml.template
rm -Rf backend/config/preferences.xml.template
